org.apache.nutch.crawl

## Class GeneratorMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<K1,V1,K2,V2>
  - - org.apache.gora.mapreduce.GoraMapper<String,WebPage,GeneratorJob.SelectorEntry,WebPage>
    - - org.apache.nutch.crawl.GeneratorMapper

-     public class GeneratorMapper
      extends org.apache.gora.mapreduce.GoraMapper<String,WebPage,GeneratorJob.SelectorEntry,WebPage>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `map(String reversedUrl, WebPage page, Mapper.Context context)`
    `void` | `setup(Mapper.Context context)`

    - ### Methods inherited from class org.apache.gora.mapreduce.GoraMapper

      `initMapperJob, initMapperJob, initMapperJob, initMapperJob, initMapperJob`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratorMapper

          public GeneratorMapper()

  - ### Method Detail

    - #### map

          public void map(String reversedUrl,
                 WebPage page,
                 Mapper.Context context)
                   throws IOException,
                          InterruptedException

      Overrides:
        `map` in class `Mapper<String,WebPage,GeneratorJob.SelectorEntry,WebPage>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### setup

          public void setup(Mapper.Context context)

      Overrides:
        `setup` in class `Mapper<String,WebPage,GeneratorJob.SelectorEntry,WebPage>`

Copyright © 2015 The Apache Software Foundation